﻿@model PaymentViewModel
@{

     Layout = "~/Areas/Widget/Views/Shared/_Layout.cshtml";

     string title = Model.UserSubscriptionID != 0 ? "تائید پرداخت اشتراک ماهانه" : (Model.UserContractID != 0 ? "تائید پرداخت و دریافت قرارداد" : "تائید پرداخت هزینه مشاوره");
     ViewData["Title"] =  title;
}

<div id="wrapper-GetContract" style="display: flex;margin-top: 150px;display:flex;flex:1;justify-content:center;margin-bottom:50px">
    <div class="Paycard @(Model.IsSuccessful ? "success" : "failed")" data-aos="fade-up" data-aos-delay="300">
        <div class="right">
            @if (Model.IsSuccessful)
            {
                <div id="success" style="height:100px"></div>
                <h2 data-aos="zoom-in" data-aos-delay="400" style="font-size: 22px;color: #2caf63;margin: 20px 0px;">
                    پرداخت با موفقیت انجام شد
                </h2>
            }
            else
            {
                <div id="failed" style="height:100px"></div>
                <h2 data-aos="zoom-in" data-aos-delay="400" style="font-size: 22px;color: #cd5050;margin: 20px 0px;">
                    پرداخت ناموفق
                </h2>
            }

            <div data-aos="zoom-in" data-aos-delay="500">
                <h3 style="font-size:16px;padding-bottom:10px">
                    @Model.Title
                </h3>
            </div>
            <div data-aos="fade-up" data-aos-delay="600">
                <span>شناسه پرداخت : </span>
                <span>@Model.PaymentID</span>
            </div>
            <div data-aos="fade-up" data-aos-delay="800">
                <span>تاریخ : </span>
                <span>@Model.Time</span>
            </div>
            <div data-aos="fade-up" data-aos-delay="1000">
                <span>مبلغ : </span>
                <span> @string.Format("{0:n0}", Convert.ToInt32(Model.Amount)) تومان</span>
            </div>

            @if(!Model.IsSuccessful)
            {
                <button class="btn btn-success" data-aos="zoom-in" data-aos-delay="1200" onclick="Payment(@Model.UserContractID)">پرداخت مجدد</button>
            }

        </div>
        <div class="left">
            @if (Model.IsSuccessful)
            {
            <p>
                <ul>
                    <li>  کاربر گرامی در صورت نیاز به ویرایش فایل قرارداد به بخش  <span> قراردادها </span>  در <span> پروفایل کاربری </span> رجوع کنید . </li>
                    <li>ویرایش قرارداد تا <span> 2 </span> بار برای شما امکان پذیر است .</li>
                    <li> نسخه های ویرایش شده قرارداد در قسمت  <span>' قراردادها '</span>  برای شما موجود خواهد بود   .</li>
                    <li>  در صورت داشتن هر گونه سوال ، از طریق <span>  چت آنلاین  </span> و یا <span>  شماره تماس  </span>  با ما در ارتباط باشید . </li>
                </ul>
            </p>

                <button style="margin-top:10px;" data-aos="zoom-in" data-aos-delay="1200" id="contract-download" class="btn btn-success" onclick="ContractDownload(@Model.UserContractID)">ایجاد فایل قرارداد</button>
                <div class="Image-Holder" style="display: none;flex-direction: column;justify-content: center;align-items: center;">
                    <span style="width: 100%;text-align: center;margin-top: 10px;"> لطفا شکیبا باشید  ... </span>
                    <img src="/Images/Loader/ajax-loader.gif" style="width: 35px;">
                </div>
                <div id="getContract">

                </div>
            }
            else
            {
        <p>
            کاربر گرامی  کلیه اطلاعات مورد نیاز  جهت دریافت فایل قرارداد در پروفایل کاربری شما ذخیره شده است . در صورت تمایل  می توانید از پروفایل کاربری خود اقدام به دریافت فایل قرارداد نمائید.
        </p>
            }
        </div>

    </div>
</div>

@*<div id="GetContract" class="container">
    <div id="wrapper-GetContract" class="text-right">
        <h1 class="heading text-right block-head">
            @{
                        if (Model.UserSubscriptionID != 0)
                        {
                <text>تائید پرداخت هزینه  @Model.Subscription</Text>
                        }
                        else if (Model.UserContractID != 0)
                        {
                <text>  دریافت فایل قرارداد</Text>
                        }
                        else
                        {
                <text>تائید پرداخت هزینه مشاوره</Text>
                        }
            }

        </h1>
        <div class="row">

            <div class="col-md-4 col-sm-12 order-3 order-md-12 text-center" id="getContract">

            </div>
            <div class="col-md-4 col-sm-12 order-2 order-md-12" id="DesForContract">

            </div>
            <div class="col-md-4 col-sm-12 order-1 order-md-12" id="InfoPayment">

                <div id='detail-cont'>
                    <p style="color:#6e1529;">جزئیات پرداخت : </p>
                    <ul>
                        <li><span>شناسه پرداخت</span>  : <span>@Model.PaymentID</span></li>
                        <li><span>تاریخ </span>  : <span>  @Model.Time</span></li>
                        <li><span>مبلغ </span>  : <span>  @string.Format("{0:n0}", Convert.ToInt32(Model.Amount) + " تومان ")</span></li>
                        <li><span>کد پیگیری</span>     : <span>  @Model.TrackingCode</span></li>
                        <li>
                            <span> وضعیت تراکنش</span>  :
                            @{
                                        if (Model.IsSuccessful)
                                        {
                                <text><span style="color:#4CAF50">تراکنش موفقیت آمیز</span></Text>
                                        }
                                        else
                                        {
                                <text><span style="color:#f44336">تراکنش ناموفق </span></Text>
                                        }
                            }
                        </li>
                        <li> <span>درگاه پرداخت </span>  : <span>  @Model.Bank</span></li>
                        <li style="list-style-type:none;">
                            @{
                                        if (Model.ConsultationRequestID == 0)
                                        {
                                            if (Model.UserSubscriptionID == 0)
                                            {
                                                if (Model.IsSuccessful)
                                                {
                                <button style="margin-top:10px;" id="contract-download" class="btn" onclick="ContractDownload(@Model.UserContractID)">ایجاد فایل قرارداد</button>
                                <div class="Image-Holder" style="display:none;position:relative;float:left;margin-top: -7px;left: 75px;margin-right: 5px;">
                                    <img src="~/Images/Loader/ajax-loader.gif" style="position:absolute;right:32px;width:20px;margin-top: 16px;" /> <br />
                                    <span style="margin-top:10px; display:inline-block;font-size:13px;"> لطفا شکیبا باشید  ... </span>
                                </div>
                                                }
                                                else
                                                {
                                <span style="color:#f44336;">کاربر گرامی  کلیه اطلاعات مورد نیاز  جهت دریافت فایل قرارداد در پروفایل کاربری شما ذخیره شده است . در صورت تمایل  می توانید از پروفایل کاربری خود اقدام به دریافت فایل قرارداد نمائید.  </span>
                                                }
                                            }
                                            else
                                            {
                                                if (Model.IsSuccessful)
                                                {
                                <span style="color:#4CAF50;">کاربر گرامی هزینه اشتراک ماهانه مورد نظر با موفقیت پرداخت شد .</span>
                                                }
                                                else
                                                {
                                <span style="color:#f44336;">عدم پرداخت هزینه اشتراک ماهانه !</span>
                                                }
                                            }
                                        }
                                        else
                                        {
                                            if (Model.IsSuccessful)
                                            {
                                <span style="color:#4CAF50;">کاربر گرامی هزینه مشاوره مورد نظر با موفقیت پرداخت شد .</span>
                                            }
                                            else
                                            {
                                <span style="color:#f44336;">عدم پرداخت هزینه مشاوره !</span>
                                            }
                                        }

                            }
                        </li>
                    </ul>
                </div>


            </div>

        </div>
    </div>
</div>*@



@*#########################   Temperory Wrapper for runtime pdf Content  ###################################*@
<div id="temperory-wrapper" style="display:none;"></div>


@section PreventBack{

    <script>
        function preventBack() { window.history.forward(); }
        setTimeout("preventBack()", 0);
        window.onunload = function () { null };
    </script>

}
@section Scripts{

    <script>
                setTimeout(function () {
            lottie.loadAnimation({
                container: document.getElementById('success'), // the dom element that will contain the animation
                renderer: 'svg',
                width: 50,
                height: 50,
                loop: false,
                autoplay: true,
                path: '/widget/success.json' // the path to the animation json
            });
            lottie.loadAnimation({
                container: document.getElementById('failed'), // the dom element that will contain the animation
                renderer: 'svg',
                width: 50,
                height: 50,
                loop: false,
                autoplay: true,
                path: '/widget/failed.json' // the path to the animation json
            });

        }, 200)
        var Address;
        if (window.location.href.includes("localhost")) Address = "https://localhost:5001/";
        else Address = "https://www.lawmingo.com/";

        function ContractDownload(id) {

            $(".Image-Holder").show();
            $.ajax({

                url: '/Contract/ArticleDetails',
                type: 'POST',
                dataType: 'json',
                data: {
                    UserContractID: id
                },
                success: function (data) {

                    console.log(data)
                    //create Article Content with Data
                    var content = "<form style='padding:15px;' id='contract'><div style='text-align:center;margin-bottom:80px;'><p style='font-weight:bold;text-align:center;font-size:26px;margin:0 auto !important;'>" + data.ContractName + "</p></div>";

                    //content += "<h6 style='font-weight:bold;margin-bottom:40px;text-align:center;>" + data.ContractName  + "<h6>";

                    for (var i = 0, len = data.Art.length; i < len; ++i) {

                        content += "<p style='font-weight:bold;margin-bottom:20px;color:#6e1529'> ماده " + Number(data.Art[i].Article.split('-')[0]) + " - " + data.Art[i].Article.split('-')[1] + "<p>";
                        slicePluse = '';
                        var counter = 0;
                        for (var ii = 0; ii < data.Art[i].Content.length; ii++) {

                            if (data.Art[i].Content.length > 1) {

                                var con = data.Art[i].Content[ii];
                                con = con.replace('<p dir="RTL">', ' ').replace("</p>", " ").replace("placeholder", " ");

                                var count = (con.match(/===/g) || []).length;
                                var SliceCount = (slicePluse.match(/<p row>/g) || []).length;

                                //console.log("count : ", count)
                                //console.log("SliceCount : ", SliceCount)

                                if (count !== null && count >= 1) {

                                    var slice = con.split('===');

                                    for (var iii = 0; iii < slice.length; iii++) {

                                        if (slice[iii] !== "   " && slice[iii] !== "" && slice[iii] !== " " && slice[iii] !== "&nbsp;" && slice[iii] !== " &nbsp;" && slice[iii] !== "&nbsp; ") {

                                            SliceCount = (slicePluse.match(/<p row>/g) || []).length;

                                            counter++;

                                            var row = '';
                                            row += "<p row>";
                                            row += data.Art[i].Article.split('-')[0];
                                            row += " - ";
                                            row += ii < 1 ? counter : SliceCount + 1;
                                            row += " ";
                                            row += slice[iii];
                                            row += " </p> ";

                                            slicePluse += row;
                                        }
                                    }

                                }
                                else {

                                    row = '';
                                    row += "<p row>";
                                    row += data.Art[i].Article.split('-')[0];
                                    row += " - ";
                                    row += ii < 1 ? 1 : SliceCount + 1;
                                    row += " ";
                                    row += con;
                                    row += " </p> ";

                                    slicePluse += row;
                                }

                            }
                            else {
                                con = data.Art[i].Content[ii];
                                con = con.replace('<p dir="RTL">', ' ').replace("</p>", " ");

                                count = (con.match(/===/g) || []).length;
                                SliceCount = (slicePluse.match(/<p row>/g) || []).length;

                                if (count !== null && count >= 1) {
                                    slice = con.split('===');

                                    for (iii = 0; iii < slice.length; iii++) {

                                        if (slice[iii] !== "   " && slice[iii] !== "" && slice[iii] !== " " && slice[iii] !== "&nbsp;" && slice[iii] !== " &nbsp;" && slice[iii] !== "&nbsp; ") {
                                            counter++;

                                            row = '';
                                            row += "<p row>";
                                            row += data.Art[i].Article.split('-')[0];
                                            row += " - ";
                                            row += counter;
                                            row += " ";
                                            row += slice[iii];
                                            row += " </p> ";

                                            slicePluse += row;
                                        }
                                    }

                                }
                                else {
                                    slicePluse += "<p>" + con + "</p>";
                                }
                            }
                        }

                        content += slicePluse;
                    }

                    content += "</form>";

                    content = content.replace(/ {1,}/g, " ");
                    content = content.replace(/placeholder/g, " ");

                    $("#temperory-wrapper").html(content);


                    //bind properties to Artice Content
                    data.Props.forEach(function (value, index) {

                        var selector = "#temperory-wrapper input[id$='" + "-" + value.ArticlePropertyID + "']";
                        $(selector).replaceWith("<span style='padding-left:10px;'>" + value.Value + "</span>");
                    });

                    //if (user_Answer !== null) {
                    //    var currentHref = window.location.href.split("/");
                    //    getPreviousUserContractId = currentHref[currentHref.length - 1];
                    //}

                    $.ajax({
                        url: '/ExportPdf/CreatePdfAsync',
                        type: 'POST',
                        data: {
                            Contract: $("#temperory-wrapper").html(),
                            userContractID: id,
                            //PreviousUserContractID: user_Answer !== null ? getPreviousUserContractId : 0
                        },
                        dataType: 'json',
                        success: function (res) {

                        }
                    }).always(function (fileName) {

                        $("#temperory-wrapper").html(" ");
                        $("#contract-download").remove();
                        $("#wrapper-GetContract  #getContract").append(

                            "<a style='display: flex;align-items: center;margin-top: 30px;' href='" + Address + "Uploads/PdfFiles/" + fileName.responseText.split("*")[1] + "/" + fileName.responseText.split("*")[0] + "'" + "class='btn btn-success-custom'><i class='far fa-file-pdf' style='font-size: 20px;padding-left: 10px;'></i>دریافت فایل قرارداد</button></a>" +
                            "<a style='display: flex;align-items: center;margin-top: 10px;' href='/Identity/Account/Manage/Contract?layout=widget' class='btn btn-success-custom'><i class='far fa-file-pdf' style='font-size: 20px;padding-left: 10px;'></i>قراردادهای من</a>"
                        );
                        
                        $("#wrapper-GetContract  #DesForContract").append(
                            "<div id='detail-cont'>" +
                            "<p style='color:#6e1529;'>نکات مهم : </p>" +
                            "<ul>" +
                            "<li>  کاربر گرامی در صورت نیاز به ویرایش فایل قرارداد به بخش  <span> قراردادها </span>  در <span> پروفایل کاربری </span> رجوع کنید  </li>" +
                            "<li>ویرایش قرارداد تا <span> 2 </span> بار برای شما امکان پذیر است </li>" +
                            "<li> نسخه های ویرایش شده قرارداد در قسمت  <span> قراردادها </span>  برای شما موجود خواهد بود   </li>" +
                            "<li>  در صورت داشتن هر گونه سوال ، از طریق <span>  چت آنلاین  </span> و یا <span>  شماره تماس  </span>  با ما در ارتباط باشید . </li>" +
                            "</ul>" +
                            "</div>"
                        );

                        $(".Image-Holder").hide();
                        //sessionStorage.clear();

                    });
                }
            });

        }
    </script>
}